@use 'vuetify' with ($body-font-family: 'Marianne');

@import 'variables';
@import 'custom_vuetify';

@font-face {
  font-family: 'Marianne';
  src: url('/fonts/Marianne/Marianne-Regular.woff2') format('woff2'),
      url('/fonts/Marianne/Marianne-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Roboto italic */

@font-face {
  font-family: 'Marianne';
  src: url('/fonts/Marianne/Marianne-Regular_Italic.woff2') format('woff2'),
      url('/fonts/Marianne/Marianne-Regular_Italic.woff') format('woff');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

/* Roboto bold */

@font-face {
  font-family: 'Marianne';
  src: url('/fonts/Marianne/Marianne-Bold.woff2') format('woff2'),
      url('/fonts/Marianne/Marianne-Bold.woff') format('woff');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Gilroy';
  src: url('/fonts/Marianne/Marianne-ExtraBold.woff2') format('woff2'),
      url('/fonts/Marianne/Marianne-ExtraBold.woff') format('woff');
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Material Icons Outlined';
  font-style: normal;
  font-display: swap;
  font-weight: 400;
  src: url('/fonts/Material-Icons/material-icons-outlined-all-400-normal.woff2') format('woff2'), url('/fonts/Material-Icons/material-icons-outlined-all-400-normal.woff') format('woff');
}

.material-icons {
  font-family: "Material Icons Outlined";
  font-weight: normal;
  font-style: normal;
  font-size: 24px;
  /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
}

body {
  margin: 0;
  font-size: 0.9rem;

  ::-webkit-scrollbar {
    width: 10px;
    height: 10px;
  }

  ::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1);
  }

  ::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.5);
  }
}